org.deidentifier.arx.framework.lattice

## Class Transformation<T>

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.Transformation<T>

Direct Known Subclasses:
  TransformationIntArray, TransformationLong

    public abstract class Transformation<T>
    extends java.lang.Object

The interface Transformation.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.Object` `getData()` Returns associated data
`int[]` `getGeneralization()` Returns the generalization
`T` `getIdentifier()` Returns the id
`InformationLoss<?>` `getInformationLoss()` Returns the information loss
`int` `getLevel()` Return level
`InformationLoss<?>` `getLowerBound()` Returns the lower bound on information loss
`abstract TransformationList<T>` `getPredecessors()` Returns all predeccessors of the transformation with the given identifier
`abstract TransformationList<T>` `getSuccessors()` Returns all successors
`boolean` `hasProperty(de.linearbits.jhpl.PredictiveProperty property)` Returns whether this transformation has a given property
`void` `setChecked(TransformationResult result)` Sets the properties to the given node.
`void` `setData(java.lang.Object object)` Sets a data
`void` `setInformationLoss(InformationLoss<?> informationLoss)` Sets the information loss
`void` `setLowerBound(InformationLoss<?> lowerBound)` Sets the lower bound
`void` `setProperty(de.linearbits.jhpl.PredictiveProperty property)` Sets a property
`abstract void` `setPropertyToNeighbours(de.linearbits.jhpl.PredictiveProperty property)` Sets the property to all neighbors
`java.lang.String` `toString()` Returns a string representation

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getData

    public java.lang.Object getData()

Returns associated data

Returns:

#### getGeneralization

    public int[] getGeneralization()

Returns the generalization

Returns:

#### getIdentifier

    public T getIdentifier()

Returns the id

Returns:

#### getInformationLoss

    public InformationLoss<?> getInformationLoss()

Returns the information loss

Returns:

#### getLevel

    public int getLevel()

Return level

Returns:

#### getLowerBound

    public InformationLoss<?> getLowerBound()

Returns the lower bound on information loss

Returns:

#### getPredecessors

    public abstract TransformationList<T> getPredecessors()

Returns all predeccessors of the transformation with the given identifier

Parameters:
  `transformation` -
Returns:

#### getSuccessors

    public abstract TransformationList<T> getSuccessors()

Returns all successors

Returns:

#### hasProperty

    public boolean hasProperty(de.linearbits.jhpl.PredictiveProperty property)

Returns whether this transformation has a given property

Parameters:
  `property` -
Returns:

#### setChecked

    public void setChecked(TransformationResult result)

Sets the properties to the given node.

Parameters:
  `node` - the node
  `result` - the result

#### setData

    public void setData(java.lang.Object object)

Sets a data

Parameters:
  `object` -

#### setInformationLoss

    public void setInformationLoss(InformationLoss<?> informationLoss)

Sets the information loss

Parameters:
  `informationLoss` -

#### setLowerBound

    public void setLowerBound(InformationLoss<?> lowerBound)

Sets the lower bound

Parameters:
  `lowerBound` -

#### setProperty

    public void setProperty(de.linearbits.jhpl.PredictiveProperty property)

Sets a property

Parameters:
  `property` -

#### setPropertyToNeighbours

    public abstract void setPropertyToNeighbours(de.linearbits.jhpl.PredictiveProperty property)

Sets the property to all neighbors

Parameters:
  `property` -

#### toString

    public java.lang.String toString()

Returns a string representation

Overrides:
  `toString` in class `java.lang.Object`